Sign up for Skyfish Free
POST
/signup
const url = 'https://api.colourbox.com/signup';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","email":"example","password":"example","locale":"da-DK"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.colourbox.com/signup \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "email": "example", "password": "example", "locale": "da-DK" }'Request the creation of a new Skyfish Free. A Skyfish Free gives access to 1 GB of storage and 10 users. Payment information is not needed, but is requested if the Skyfish Free is upgraded to a payed version of Skyfish. Upgrade is done via Skyfish.
References:
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
The full name of the user creating the new Skyfish
string
email
required
The user’s email address. It must have been verified before signing up.
string
password
required
A self chosen password of at least 8 characters, containing at least two of: a lowercase
letter, an uppercase letter, a number and one of !@#$%^&*.
string
locale
required
RFC 5646 language tag
string
Example
da-DKResponses
Section titled “Responses”Information about newly created user
Media typeapplication/json
object
company
object
id
integer
href
string
user
object
id
integer
href
string
Example
{ "company": { "id": 5454, "href": "https://api.colourbox.com/company/5454" }, "user": { "id": 8989, "href": "https://api.colourbox.com/user/8989" }}